polybori::groebner::DegOrderHelper Class Reference

This class defines DegOrderHelper. More...

`#include <DegOrderHelper.h>`

## Public Types

typedef Polynomial::ordered_iterator | iterator_type

## Static Public Member Functions

static bool | irreducible_lead (const Monomial &m, const ReductionStrategy &strat)
static Polynomial::ordered_iterator | begin (const Polynomial &p)
static Polynomial::ordered_iterator | end (const Polynomial &p)
static Polynomial | nf (const ReductionStrategy &strat, const Polynomial &p, const Monomial &m)
static bool | knowRestIsIrreducible (const iterator_type &it, const ReductionStrategy &strat)
static Polynomial | sum_range (std::vector< Monomial > &vec, iterator_type it, iterator_type end, Polynomial init)

## Static Public Attributes

static const bool | isDegreeOrder =true
static const bool | isLexicographicalOrder =false

## Detailed Description

This class defines DegOrderHelper.

## Member Typedef Documentation

typedef Polynomial::ordered_iterator polybori::groebner::DegOrderHelper::iterator_type

## Member Function Documentation

static Polynomial::ordered_iterator polybori::groebner::DegOrderHelper::begin | ( | const Polynomial & | p) |  |

inline static

References polybori::BoolePolynomial::orderedBegin().

static Polynomial::ordered_iterator polybori::groebner::DegOrderHelper::end | ( | const Polynomial & | p) |  |

inline static

References polybori::BoolePolynomial::orderedEnd().

static bool polybori::groebner::DegOrderHelper::irreducible_lead | ( | const Monomial & | m,
|  | const ReductionStrategy & | strat
| ) |  |

inline static

References polybori::groebner::irreducible_lead().

static bool polybori::groebner::DegOrderHelper::knowRestIsIrreducible | ( | const iterator_type & | it,
|  | const ReductionStrategy & | strat
| ) |  |

inline static

static Polynomial polybori::groebner::DegOrderHelper::nf | ( | const ReductionStrategy & | strat,
|  | const Polynomial & | p,
|  | const Monomial & | m
| ) |  |

inline static

References polybori::groebner::nf3_degree_order().

static Polynomial polybori::groebner::DegOrderHelper::sum_range | ( | std::vector< Monomial > & | vec,
|  | iterator_type | it,
|  | iterator_type | end,
|  | Polynomial | init
| ) |  |

inline static

References polybori::groebner::add_up_generic().

## Member Data Documentation

const bool polybori::groebner::DegOrderHelper::isDegreeOrder =true

static

const bool polybori::groebner::DegOrderHelper::isLexicographicalOrder =false

static

The documentation for this class was generated from the following file:

- DegOrderHelper.h